#
# spec file for package rubygem-warden
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-warden
Version:        1.2.9
Release:        1.18
%define mod_name warden
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/hassox/warden
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        An authentication library compatible with all Rack-based frameworks
License:        MIT
Group:          Development/Languages/Ruby

%description
An authentication library compatible with all Rack-based frameworks.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 1.2.9
  see installed CHANGELOG.md
* Thu Nov 22 2018 Stephan Kulow <coolo@suse.com>
- updated to version 1.2.8
  History.rdoc removed upstream
* Thu Jan 26 2017 coolo@suse.com
- updated to version 1.2.7
  see installed History.rdoc
  == Version 1.2.7 / 2016-10-12
  * Added 'frozen_string_literal' comment, bump ruby to 2.3
* Tue Feb  9 2016 coolo@suse.com
- updated to version 1.2.6
  see installed History.rdoc
  == Version 1.2.6 / 2016-01-31
  * Separate test helpers to encapsulate Warden object mocking inside it's own class
* Fri Jan 29 2016 coolo@suse.com
- updated to version 1.2.5
  see installed History.rdoc
  == Version 1.2.5 / 2016-01-28
  * Expands on the test helpers available to make it easier for testing gems
* Thu Dec 10 2015 coolo@suse.com
- updated to version 1.2.4
  see installed History.rdoc
* Sat Jul 20 2013 coolo@suse.com
- updated to version 1.2.3
  * Fix an issue with lazy loaded sessions
  * Support nil session stores on logout
  * Fix strategies blowing up with undefined method base
* Fri Jul 13 2012 jreidinger@suse.com
- update to version 1.2.1
* Fri Jul 13 2012 jreidinger@suse.com
- revert back requires. gem explicitelly said that it require
  rack >= 1.0 so follow gem dependencies to avoid multiple version
  of gems when it is not neccessary
* Fri Apr 20 2012 schubi@suse.com
- Requires:  rubygem-rack-1_1 in order to make factory happy
    (needed by rubygem-devise)
* Wed Apr 18 2012 schubi@suse.com
- BuildRequires:  rubygem-rack-1_1 in order to make factory happy
* Wed Jan 18 2012 mrueckert@suse.de
- update to version 1.1.0
* Mon Jun 14 2010 mrueckert@suse.de
- update to version 0.10.7
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Apr 12 2010 mrueckert@suse.de
- initial package
